using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;

namespace RDH.Data.BLL
{

    public interface IBaseBLL { }

    public interface IBaseBLL<T> : IBaseBLL
    {
        List<T> ListModels(int pageSize, int index);
        int GetModelCount();
        int Save(T obj);
        void Update(T obj);
        T Get(T obj);
        void Delete(T obj);
    }
}
